// ∏import { DataManager, NetManager } from "duiba-tw";
import { DataManager } from "../../../libs/tw/manager/DataManager";
import { NetManager } from "../../../libs/tw/manager/NetManager";
import Loading from "../../loading/Loading";

export default
    () => new Promise((resolve) => {
        const _callback = (data) => {
            Loading.instace.hide();
            resolve(data);
        }
        Loading.instace.show();
        if (DataManager.ins.getRuleData) {
            _callback(true);
        } else {
            NetManager.ins.getRuleNg(_callback);
        }
    })

